Debian only: Files to be added to debian/ tree for packaging gwdatafind-server
Diff follows:
diff -Nur old/debian/gwdatafind-server.conffiles new/debian/gwdatafind-server.conffiles
--- old/debian/gwdatafind-server.conffiles 1970-01-01 01:00:00.000000000 +0100
+++ new/debian/gwdatafind-server.conffiles 2022-03-28 13:50:44.000000000 +0200
@@ -0,0 +1 @@
+/etc/gwdatafind-server.ini
diff -Nur old/debian/gwdatafind-server.docs new/debian/gwdatafind-server.docs
--- old/debian/gwdatafind-server.docs 1970-01-01 01:00:00.000000000 +0100
+++ new/debian/gwdatafind-server.docs 2022-03-28 13:24:22.000000000 +0200
@@ -0,0 +1,2 @@
+README.rst
+LICENSE
diff -Nur old/debian/gwdatafind-server.install new/debian/gwdatafind-server.install
--- old/debian/gwdatafind-server.install 1970-01-01 01:00:00.000000000 +0100
+++ new/debian/gwdatafind-server.install 2022-03-28 16:18:48.000000000 +0200
@@ -0,0 +1,8 @@
+# web server config examples
+config/gunicorn.conf usr/share/gwdatafind-server/
+config/wsgi.conf usr/share/gwdatafind-server/
+config/gunicorn.conf.py usr/share/gwdatafind-server/
+# service config file
+config/gwdatafind-server.ini etc/
+# systemd
+config/debian/gwdatafind-server.service etc/systemd/system/
diff -Nur old/debian/gwdatafind-server.postinst new/debian/gwdatafind-server.postinst
--- old/debian/gwdatafind-server.postinst 1970-01-01 01:00:00.000000000 +0100
+++ new/debian/gwdatafind-server.postinst 2022-03-28 13:20:13.000000000 +0200
@@ -0,0 +1,40 @@
+#!/bin/sh
+# postinst script for gwdatafind-server
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ systemctl daemon-reload # %systemd_post
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff -Nur old/debian/gwdatafind-server.postrm new/debian/gwdatafind-server.postrm
--- old/debian/gwdatafind-server.postrm 1970-01-01 01:00:00.000000000 +0100
+++ new/debian/gwdatafind-server.postrm 2022-03-28 13:21:03.000000000 +0200
@@ -0,0 +1,38 @@
+#!/bin/sh
+# postrm script for gwdatafind-server
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <overwriter>
+# <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ systemctl daemon-reload
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff -Nur old/debian/gwdatafind-server.prerm new/debian/gwdatafind-server.prerm
--- old/debian/gwdatafind-server.prerm 1970-01-01 01:00:00.000000000 +0100
+++ new/debian/gwdatafind-server.prerm 2022-03-28 13:23:30.000000000 +0200
@@ -0,0 +1,27 @@
+#!/bin/sh
+# prerm script for gwdatafind-server
+#
+# see: dh_installdeb(1)
+
+set -e
+
+case "$1" in
+ purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ if $(systemctl is-active --quiet gwdatafind-server)
+ then
+ systemctl stop gwdatafind-server
+ fi
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+
+exit 0
diff -Nur old/debian/python3-gwdatafind-server.docs new/debian/python3-gwdatafind-server.docs
--- old/debian/python3-gwdatafind-server.docs 1970-01-01 01:00:00.000000000 +0100
+++ new/debian/python3-gwdatafind-server.docs 2022-03-28 13:24:22.000000000 +0200
@@ -0,0 +1,2 @@
+README.rst
+LICENSE
diff -Nur old/debian/python3-gwdatafind-server.install new/debian/python3-gwdatafind-server.install
--- old/debian/python3-gwdatafind-server.install 1970-01-01 01:00:00.000000000 +0100
+++ new/debian/python3-gwdatafind-server.install 2022-03-28 13:30:22.000000000 +0200
@@ -0,0 +1 @@
+usr/lib/python3*/*-packages/*
diff -Nur old/debian/control new/debian/control
--- old/debian/control 2022-03-11 18:44:22.000000000 +0100
+++ new/debian/control 2022-03-29 09:50:46.000000000 +0200
@@ -26,6 +26,24 @@
python3-flask (>= 1.0.0),
python3-ligo-segments,
Description: Server app for the GWDataFind service
- The DataFind service allows users to query for the location of
+ The GWDataFind service allows users to query for the location of
files containing data from the current
gravitational-wave detectors.
+ This package provides the Python 3 server app.
+
+# -- gwdatafind-server ------------------
+
+Package: gwdatafind-server
+Architecture: all
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ ${python3:Depends},
+ python3-gwdatafind-server (= ${binary:Version}),
+ gunicorn3 | gunicorn,
+Description: Server app for the GWDataFind service
+ The GWDataFind service allows users to query for the location of
+ files containing data from the current
+ gravitational-wave detectors.
+ This package provides the HTTP app configuration for a GWDataFind
+ Service instance.
diff -Nur old/debian/rules new/debian/rules
--- old/debian/rules 2022-03-11 18:44:22.000000000 +0100
+++ new/debian/rules 2022-03-28 13:33:30.000000000 +0200
@@ -1,6 +1,6 @@
#!/usr/bin/make -f
-export PYBUILD_NAME = gwdatafind-server
+#export PYBUILD_NAME = gwdatafind-server
%:
dh $@ --with python3 --buildsystem=pybuild
Edited by Steffen Grunewald